#include "MyExp.h"

HINSTANCE		hInstance;
bool			ControlsInit = false;

class MyPlugClassDesc : public ClassDesc  
{
public:
	int			IsPublic() { return 1; }
	void		*Create(BOOL Loading = FALSE) { return new MyExp; }
	const TCHAR	*ClassName() { return _T("MyExp"); }
	SClass_ID	SuperClassID() { return SCENE_EXPORT_CLASS_ID; }
	Class_ID	ClassID() { return MYEXP_CLASS_ID; }
	const TCHAR	*Category() { return _T(""); }
};

static MyPlugClassDesc	MyPlugCD;

BOOL APIENTRY DllMain(HINSTANCE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
	hInstance = hModule;
	if (!ControlsInit)
	{
		ControlsInit = true;
		InitCustomControls(hInstance);
		InitCommonControls();
	}
    return TRUE;
}

__declspec(dllexport) int LibNumberClasses()
{
	return 1;
}

__declspec(dllexport) ClassDesc *LibClassDesc(int i)
{
	switch (i)
	{
	case 0: return &MyPlugCD;
	default: return 0;
	}
}


__declspec(dllexport) const TCHAR *LibDescription()
{
	return _T("My first export file plugin");
}

__declspec(dllexport) ULONG LibVersion()
{
	return VERSION_3DSMAX;
}
